package com.dxhy.core.service.mailGather;

import com.dxhy.core.model.mailGather.MailGatherLogVo;

import java.util.Map;

public interface MailGatherLogService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MailGatherLogVo queryById(String id);

    /**
     * 分页查询
     *
     * @param pramsMap 筛选条件
     * @return 查询结果
     */
    String queryByPage(Map<String, Object> pramsMap);

    /**
     * 新增数据
     *
     * @param mailGatherLog 实例对象
     * @return 实例对象
     */
    MailGatherLogVo insert(MailGatherLogVo mailGatherLog);

    /**
     * 修改数据
     *
     * @param mailGatherLog 实例对象
     * @return 实例对象
     */
    MailGatherLogVo update(MailGatherLogVo mailGatherLog);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

}
